Bug 127590 - pthread_attr_inheritsched default value incorrect
pthread_attr_inheritsched default value incorrect
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: man-pages (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-09 19:34 EDT by Greg Seibert
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 15:34:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Seibert 2004-07-09 19:34:34 EDT
Description of problem:
Man page says:
Default value: PTHREAD_EXPLICIT_SCHED. Is really PTHREAD_INHERIT_SCHED
so setting schedparam in the attr gets ignored.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Take a look at pthread_create.c in glibc and it's obvious. It needs
ATTR_FLAG_NOTINHERITSCHED to be set in order to take the sched params. 
2.Write a program to set the priority or scheduling type via the
pthread_attr. They don't take unless you call
pthread_attr_setinheritsched(, PTHREAD_EXPLICIT_SCHED) first
3.
  
Actual results:


Expected results:


Additional info:
Either that or pthread_attr_init needs to set
ATTR_FLAG_NOTINHERITSCHED to make the man page correct.
Comment 1 Eido Inoue 2004-08-20 15:26:27 EDT
man page is part of glibc-devel.
Comment 2 Ulrich Drepper 2004-09-30 04:43:29 EDT
Once again, difference between LinuxThreads and NPTL.  Cannot be fixed
until the man page is accepted in man-pages and rewritten to cover
both implementations.
Comment 3 Ulrich Drepper 2004-10-01 02:49:48 EDT
The man page must move to man-pages to be generalized for LT and NPTL.
 Reassigning.
Comment 4 Matthew Miller 2005-04-26 11:06:13 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 5 John Thacker 2006-10-25 15:34:34 EDT
Closed per above message and lack of response.  Note that FC2 is not even
supported by Fedora Legacy currently.

Note You need to log in before you can comment on or make changes to this bug.